import { BinaryFile } from 'itk-wasm';
import ByuReadMeshOptions from './byu-read-mesh-options.js';
import ByuReadMeshResult from './byu-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {ByuReadMeshOptions} options - options object
 *
 * @returns {Promise<ByuReadMeshResult>} - result object
 */
declare function byuReadMesh(serializedMesh: File | BinaryFile, options?: ByuReadMeshOptions): Promise<ByuReadMeshResult>;
export default byuReadMesh;
