import { Mesh } from 'itk-wasm';
import ByuWriteMeshNodeOptions from './byu-write-mesh-node-options.js';
import ByuWriteMeshNodeResult from './byu-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {ByuWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<ByuWriteMeshNodeResult>} - result object
 */
declare function byuWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: ByuWriteMeshNodeOptions): Promise<ByuWriteMeshNodeResult>;
export default byuWriteMeshNode;
