import { Mesh } from 'itk-wasm';
import ByuWriteMeshOptions from './byu-write-mesh-options.js';
import ByuWriteMeshResult from './byu-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {ByuWriteMeshOptions} options - options object
 *
 * @returns {Promise<ByuWriteMeshResult>} - result object
 */
declare function byuWriteMesh(mesh: Mesh, serializedMesh: string, options?: ByuWriteMeshOptions): Promise<ByuWriteMeshResult>;
export default byuWriteMesh;
