import { BinaryFile } from 'itk-wasm';
import FreeSurferAsciiReadMeshOptions from './free-surfer-ascii-read-mesh-options.js';
import FreeSurferAsciiReadMeshResult from './free-surfer-ascii-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {FreeSurferAsciiReadMeshOptions} options - options object
 *
 * @returns {Promise<FreeSurferAsciiReadMeshResult>} - result object
 */
declare function freeSurferAsciiReadMesh(serializedMesh: File | BinaryFile, options?: FreeSurferAsciiReadMeshOptions): Promise<FreeSurferAsciiReadMeshResult>;
export default freeSurferAsciiReadMesh;
