// Generated file. To retain edits, remove this comment.
import { InterfaceTypes, runPipeline } from 'itk-wasm';
import { getPipelinesBaseUrl } from './pipelines-base-url.js';
import { getPipelineWorkerUrl } from './pipeline-worker-url.js';
import { getDefaultWebWorker } from './default-web-worker.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {FreeSurferAsciiReadMeshOptions} options - options object
 *
 * @returns {Promise<FreeSurferAsciiReadMeshResult>} - result object
 */
async function freeSurferAsciiReadMesh(serializedMesh, options = {}) {
    const desiredOutputs = [
        { type: InterfaceTypes.JsonCompatible },
        { type: InterfaceTypes.Mesh },
    ];
    let serializedMeshFile = serializedMesh;
    if (serializedMesh instanceof File) {
        const serializedMeshBuffer = await serializedMesh.arrayBuffer();
        serializedMeshFile = { path: serializedMesh.name, data: new Uint8Array(serializedMeshBuffer) };
    }
    const inputs = [
        { type: InterfaceTypes.BinaryFile, data: serializedMeshFile },
    ];
    const args = [];
    // Inputs
    const serializedMeshName = serializedMeshFile.path;
    args.push(serializedMeshName);
    // Outputs
    const couldReadName = '0';
    args.push(couldReadName);
    const meshName = '1';
    args.push(meshName);
    // Options
    args.push('--memory-io');
    if (options.informationOnly) {
        options.informationOnly && args.push('--information-only');
    }
    const pipelinePath = 'free-surfer-ascii-read-mesh';
    let workerToUse = options?.webWorker;
    if (workerToUse === undefined) {
        workerToUse = await getDefaultWebWorker();
    }
    const { webWorker: usedWebWorker, returnValue, stderr, outputs } = await runPipeline(pipelinePath, args, desiredOutputs, inputs, { pipelineBaseUrl: getPipelinesBaseUrl(), pipelineWorkerUrl: getPipelineWorkerUrl(), webWorker: workerToUse, noCopy: options?.noCopy });
    if (returnValue !== 0 && stderr !== "") {
        throw new Error(stderr);
    }
    const result = {
        webWorker: usedWebWorker,
        couldRead: outputs[0]?.data,
        mesh: outputs[1]?.data,
    };
    return result;
}
export default freeSurferAsciiReadMesh;
//# sourceMappingURL=free-surfer-ascii-read-mesh.js.map