import { Mesh } from 'itk-wasm';
import FreeSurferAsciiWriteMeshNodeOptions from './free-surfer-ascii-write-mesh-node-options.js';
import FreeSurferAsciiWriteMeshNodeResult from './free-surfer-ascii-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {FreeSurferAsciiWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<FreeSurferAsciiWriteMeshNodeResult>} - result object
 */
declare function freeSurferAsciiWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: FreeSurferAsciiWriteMeshNodeOptions): Promise<FreeSurferAsciiWriteMeshNodeResult>;
export default freeSurferAsciiWriteMeshNode;
