// Generated file. To retain edits, remove this comment.
import { InterfaceTypes, runPipelineNode } from 'itk-wasm';
import path from 'path';
import { fileURLToPath } from 'url';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {FreeSurferAsciiWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<FreeSurferAsciiWriteMeshNodeResult>} - result object
 */
async function freeSurferAsciiWriteMeshNode(mesh, serializedMesh, options = {}) {
    const mountDirs = new Set();
    const desiredOutputs = [
        { type: InterfaceTypes.JsonCompatible },
    ];
    const inputs = [
        { type: InterfaceTypes.Mesh, data: mesh },
    ];
    const args = [];
    // Inputs
    const meshName = '0';
    args.push(meshName);
    // Outputs
    const couldWriteName = '0';
    args.push(couldWriteName);
    const serializedMeshName = serializedMesh;
    args.push(serializedMeshName);
    mountDirs.add(path.dirname(serializedMeshName));
    // Options
    args.push('--memory-io');
    if (options.informationOnly) {
        options.informationOnly && args.push('--information-only');
    }
    if (options.useCompression) {
        options.useCompression && args.push('--use-compression');
    }
    if (options.binaryFileType) {
        options.binaryFileType && args.push('--binary-file-type');
    }
    const pipelinePath = path.join(path.dirname(fileURLToPath(import.meta.url)), 'pipelines', 'free-surfer-ascii-write-mesh');
    const { returnValue, stderr, outputs } = await runPipelineNode(pipelinePath, args, desiredOutputs, inputs, mountDirs);
    if (returnValue !== 0 && stderr !== "") {
        throw new Error(stderr);
    }
    const result = {
        couldWrite: outputs[0]?.data,
    };
    return result;
}
export default freeSurferAsciiWriteMeshNode;
//# sourceMappingURL=free-surfer-ascii-write-mesh-node.js.map