import { Mesh } from 'itk-wasm';
import FreeSurferAsciiWriteMeshOptions from './free-surfer-ascii-write-mesh-options.js';
import FreeSurferAsciiWriteMeshResult from './free-surfer-ascii-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {FreeSurferAsciiWriteMeshOptions} options - options object
 *
 * @returns {Promise<FreeSurferAsciiWriteMeshResult>} - result object
 */
declare function freeSurferAsciiWriteMesh(mesh: Mesh, serializedMesh: string, options?: FreeSurferAsciiWriteMeshOptions): Promise<FreeSurferAsciiWriteMeshResult>;
export default freeSurferAsciiWriteMesh;
