// Generated file. To retain edits, remove this comment.
import { InterfaceTypes, runPipeline } from 'itk-wasm';
import { getPipelinesBaseUrl } from './pipelines-base-url.js';
import { getPipelineWorkerUrl } from './pipeline-worker-url.js';
import { getDefaultWebWorker } from './default-web-worker.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {FreeSurferAsciiWriteMeshOptions} options - options object
 *
 * @returns {Promise<FreeSurferAsciiWriteMeshResult>} - result object
 */
async function freeSurferAsciiWriteMesh(mesh, serializedMesh, options = {}) {
    const desiredOutputs = [
        { type: InterfaceTypes.JsonCompatible },
        { type: InterfaceTypes.BinaryFile, data: { path: serializedMesh, data: new Uint8Array() } },
    ];
    const inputs = [
        { type: InterfaceTypes.Mesh, data: mesh },
    ];
    const args = [];
    // Inputs
    const meshName = '0';
    args.push(meshName);
    // Outputs
    const couldWriteName = '0';
    args.push(couldWriteName);
    const serializedMeshName = serializedMesh;
    args.push(serializedMeshName);
    // Options
    args.push('--memory-io');
    if (options.informationOnly) {
        options.informationOnly && args.push('--information-only');
    }
    if (options.useCompression) {
        options.useCompression && args.push('--use-compression');
    }
    if (options.binaryFileType) {
        options.binaryFileType && args.push('--binary-file-type');
    }
    const pipelinePath = 'free-surfer-ascii-write-mesh';
    let workerToUse = options?.webWorker;
    if (workerToUse === undefined) {
        workerToUse = await getDefaultWebWorker();
    }
    const { webWorker: usedWebWorker, returnValue, stderr, outputs } = await runPipeline(pipelinePath, args, desiredOutputs, inputs, { pipelineBaseUrl: getPipelinesBaseUrl(), pipelineWorkerUrl: getPipelineWorkerUrl(), webWorker: workerToUse, noCopy: options?.noCopy });
    if (returnValue !== 0 && stderr !== "") {
        throw new Error(stderr);
    }
    const result = {
        webWorker: usedWebWorker,
        couldWrite: outputs[0]?.data,
        serializedMesh: outputs[1]?.data,
    };
    return result;
}
export default freeSurferAsciiWriteMesh;
//# sourceMappingURL=free-surfer-ascii-write-mesh.js.map