import { BinaryFile } from 'itk-wasm';
import FreeSurferBinaryReadMeshOptions from './free-surfer-binary-read-mesh-options.js';
import FreeSurferBinaryReadMeshResult from './free-surfer-binary-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {FreeSurferBinaryReadMeshOptions} options - options object
 *
 * @returns {Promise<FreeSurferBinaryReadMeshResult>} - result object
 */
declare function freeSurferBinaryReadMesh(serializedMesh: File | BinaryFile, options?: FreeSurferBinaryReadMeshOptions): Promise<FreeSurferBinaryReadMeshResult>;
export default freeSurferBinaryReadMesh;
