import { Mesh } from 'itk-wasm';
import FreeSurferBinaryWriteMeshNodeOptions from './free-surfer-binary-write-mesh-node-options.js';
import FreeSurferBinaryWriteMeshNodeResult from './free-surfer-binary-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {FreeSurferBinaryWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<FreeSurferBinaryWriteMeshNodeResult>} - result object
 */
declare function freeSurferBinaryWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: FreeSurferBinaryWriteMeshNodeOptions): Promise<FreeSurferBinaryWriteMeshNodeResult>;
export default freeSurferBinaryWriteMeshNode;
