import { Mesh } from 'itk-wasm';
import FreeSurferBinaryWriteMeshOptions from './free-surfer-binary-write-mesh-options.js';
import FreeSurferBinaryWriteMeshResult from './free-surfer-binary-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {FreeSurferBinaryWriteMeshOptions} options - options object
 *
 * @returns {Promise<FreeSurferBinaryWriteMeshResult>} - result object
 */
declare function freeSurferBinaryWriteMesh(mesh: Mesh, serializedMesh: string, options?: FreeSurferBinaryWriteMeshOptions): Promise<FreeSurferBinaryWriteMeshResult>;
export default freeSurferBinaryWriteMesh;
