import { BinaryFile } from 'itk-wasm';
import Mz3ReadMeshOptions from './mz3-read-mesh-options.js';
import Mz3ReadMeshResult from './mz3-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {Mz3ReadMeshOptions} options - options object
 *
 * @returns {Promise<Mz3ReadMeshResult>} - result object
 */
declare function mz3ReadMesh(serializedMesh: File | BinaryFile, options?: Mz3ReadMeshOptions): Promise<Mz3ReadMeshResult>;
export default mz3ReadMesh;
