import Mz3ReadPointSetNodeOptions from './mz3-read-point-set-node-options.js';
import Mz3ReadPointSetNodeResult from './mz3-read-point-set-node-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Input point set serialized in the file format
 * @param {Mz3ReadPointSetNodeOptions} options - options object
 *
 * @returns {Promise<Mz3ReadPointSetNodeResult>} - result object
 */
declare function mz3ReadPointSetNode(serializedPointSet: string, options?: Mz3ReadPointSetNodeOptions): Promise<Mz3ReadPointSetNodeResult>;
export default mz3ReadPointSetNode;
