// Generated file. To retain edits, remove this comment.
import { InterfaceTypes, runPipelineNode } from 'itk-wasm';
import path from 'path';
import { fileURLToPath } from 'url';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Input point set serialized in the file format
 * @param {Mz3ReadPointSetNodeOptions} options - options object
 *
 * @returns {Promise<Mz3ReadPointSetNodeResult>} - result object
 */
async function mz3ReadPointSetNode(serializedPointSet, options = {}) {
    const mountDirs = new Set();
    const desiredOutputs = [
        { type: InterfaceTypes.JsonCompatible },
        { type: InterfaceTypes.PointSet },
    ];
    mountDirs.add(path.dirname(serializedPointSet));
    const inputs = [];
    const args = [];
    // Inputs
    const serializedPointSetName = serializedPointSet;
    args.push(serializedPointSetName);
    mountDirs.add(path.dirname(serializedPointSetName));
    // Outputs
    const couldReadName = '0';
    args.push(couldReadName);
    const pointSetName = '1';
    args.push(pointSetName);
    // Options
    args.push('--memory-io');
    if (options.informationOnly) {
        options.informationOnly && args.push('--information-only');
    }
    const pipelinePath = path.join(path.dirname(fileURLToPath(import.meta.url)), 'pipelines', 'mz3-read-point-set');
    const { returnValue, stderr, outputs } = await runPipelineNode(pipelinePath, args, desiredOutputs, inputs, mountDirs);
    if (returnValue !== 0 && stderr !== "") {
        throw new Error(stderr);
    }
    const result = {
        couldRead: outputs[0]?.data,
        pointSet: outputs[1]?.data,
    };
    return result;
}
export default mz3ReadPointSetNode;
//# sourceMappingURL=mz3-read-point-set-node.js.map