import { BinaryFile } from 'itk-wasm';
import Mz3ReadPointSetOptions from './mz3-read-point-set-options.js';
import Mz3ReadPointSetResult from './mz3-read-point-set-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {Mz3ReadPointSetOptions} options - options object
 *
 * @returns {Promise<Mz3ReadPointSetResult>} - result object
 */
declare function mz3ReadPointSet(serializedPointSet: File | BinaryFile, options?: Mz3ReadPointSetOptions): Promise<Mz3ReadPointSetResult>;
export default mz3ReadPointSet;
