import { Mesh } from 'itk-wasm';
import Mz3WriteMeshNodeOptions from './mz3-write-mesh-node-options.js';
import Mz3WriteMeshNodeResult from './mz3-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {Mz3WriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<Mz3WriteMeshNodeResult>} - result object
 */
declare function mz3WriteMeshNode(mesh: Mesh, serializedMesh: string, options?: Mz3WriteMeshNodeOptions): Promise<Mz3WriteMeshNodeResult>;
export default mz3WriteMeshNode;
