import { Mesh } from 'itk-wasm';
import Mz3WriteMeshOptions from './mz3-write-mesh-options.js';
import Mz3WriteMeshResult from './mz3-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {Mz3WriteMeshOptions} options - options object
 *
 * @returns {Promise<Mz3WriteMeshResult>} - result object
 */
declare function mz3WriteMesh(mesh: Mesh, serializedMesh: string, options?: Mz3WriteMeshOptions): Promise<Mz3WriteMeshResult>;
export default mz3WriteMesh;
