import { PointSet } from 'itk-wasm';
import Mz3WritePointSetNodeOptions from './mz3-write-point-set-node-options.js';
import Mz3WritePointSetNodeResult from './mz3-write-point-set-node-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {Mz3WritePointSetNodeOptions} options - options object
 *
 * @returns {Promise<Mz3WritePointSetNodeResult>} - result object
 */
declare function mz3WritePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: Mz3WritePointSetNodeOptions): Promise<Mz3WritePointSetNodeResult>;
export default mz3WritePointSetNode;
