import { PointSet } from 'itk-wasm';
import Mz3WritePointSetOptions from './mz3-write-point-set-options.js';
import Mz3WritePointSetResult from './mz3-write-point-set-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {Mz3WritePointSetOptions} options - options object
 *
 * @returns {Promise<Mz3WritePointSetResult>} - result object
 */
declare function mz3WritePointSet(pointSet: PointSet, serializedPointSet: string, options?: Mz3WritePointSetOptions): Promise<Mz3WritePointSetResult>;
export default mz3WritePointSet;
