import { BinaryFile } from 'itk-wasm';
import ObjReadMeshOptions from './obj-read-mesh-options.js';
import ObjReadMeshResult from './obj-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {ObjReadMeshOptions} options - options object
 *
 * @returns {Promise<ObjReadMeshResult>} - result object
 */
declare function objReadMesh(serializedMesh: File | BinaryFile, options?: ObjReadMeshOptions): Promise<ObjReadMeshResult>;
export default objReadMesh;
