import ObjReadPointSetNodeOptions from './obj-read-point-set-node-options.js';
import ObjReadPointSetNodeResult from './obj-read-point-set-node-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Input point set serialized in the file format
 * @param {ObjReadPointSetNodeOptions} options - options object
 *
 * @returns {Promise<ObjReadPointSetNodeResult>} - result object
 */
declare function objReadPointSetNode(serializedPointSet: string, options?: ObjReadPointSetNodeOptions): Promise<ObjReadPointSetNodeResult>;
export default objReadPointSetNode;
