import { BinaryFile } from 'itk-wasm';
import ObjReadPointSetOptions from './obj-read-point-set-options.js';
import ObjReadPointSetResult from './obj-read-point-set-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {ObjReadPointSetOptions} options - options object
 *
 * @returns {Promise<ObjReadPointSetResult>} - result object
 */
declare function objReadPointSet(serializedPointSet: File | BinaryFile, options?: ObjReadPointSetOptions): Promise<ObjReadPointSetResult>;
export default objReadPointSet;
