import { Mesh } from 'itk-wasm';
import ObjWriteMeshNodeOptions from './obj-write-mesh-node-options.js';
import ObjWriteMeshNodeResult from './obj-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {ObjWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<ObjWriteMeshNodeResult>} - result object
 */
declare function objWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: ObjWriteMeshNodeOptions): Promise<ObjWriteMeshNodeResult>;
export default objWriteMeshNode;
