import { Mesh } from 'itk-wasm';
import ObjWriteMeshOptions from './obj-write-mesh-options.js';
import ObjWriteMeshResult from './obj-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {ObjWriteMeshOptions} options - options object
 *
 * @returns {Promise<ObjWriteMeshResult>} - result object
 */
declare function objWriteMesh(mesh: Mesh, serializedMesh: string, options?: ObjWriteMeshOptions): Promise<ObjWriteMeshResult>;
export default objWriteMesh;
