import { PointSet } from 'itk-wasm';
import ObjWritePointSetNodeOptions from './obj-write-point-set-node-options.js';
import ObjWritePointSetNodeResult from './obj-write-point-set-node-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {ObjWritePointSetNodeOptions} options - options object
 *
 * @returns {Promise<ObjWritePointSetNodeResult>} - result object
 */
declare function objWritePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: ObjWritePointSetNodeOptions): Promise<ObjWritePointSetNodeResult>;
export default objWritePointSetNode;
