import { PointSet } from 'itk-wasm';
import ObjWritePointSetOptions from './obj-write-point-set-options.js';
import ObjWritePointSetResult from './obj-write-point-set-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {ObjWritePointSetOptions} options - options object
 *
 * @returns {Promise<ObjWritePointSetResult>} - result object
 */
declare function objWritePointSet(pointSet: PointSet, serializedPointSet: string, options?: ObjWritePointSetOptions): Promise<ObjWritePointSetResult>;
export default objWritePointSet;
