import { BinaryFile } from 'itk-wasm';
import OffReadMeshOptions from './off-read-mesh-options.js';
import OffReadMeshResult from './off-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {OffReadMeshOptions} options - options object
 *
 * @returns {Promise<OffReadMeshResult>} - result object
 */
declare function offReadMesh(serializedMesh: File | BinaryFile, options?: OffReadMeshOptions): Promise<OffReadMeshResult>;
export default offReadMesh;
