import { BinaryFile } from 'itk-wasm';
import OffReadPointSetOptions from './off-read-point-set-options.js';
import OffReadPointSetResult from './off-read-point-set-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {OffReadPointSetOptions} options - options object
 *
 * @returns {Promise<OffReadPointSetResult>} - result object
 */
declare function offReadPointSet(serializedPointSet: File | BinaryFile, options?: OffReadPointSetOptions): Promise<OffReadPointSetResult>;
export default offReadPointSet;
