import { Mesh } from 'itk-wasm';
import OffWriteMeshNodeOptions from './off-write-mesh-node-options.js';
import OffWriteMeshNodeResult from './off-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {OffWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<OffWriteMeshNodeResult>} - result object
 */
declare function offWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: OffWriteMeshNodeOptions): Promise<OffWriteMeshNodeResult>;
export default offWriteMeshNode;
