import { Mesh } from 'itk-wasm';
import OffWriteMeshOptions from './off-write-mesh-options.js';
import OffWriteMeshResult from './off-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {OffWriteMeshOptions} options - options object
 *
 * @returns {Promise<OffWriteMeshResult>} - result object
 */
declare function offWriteMesh(mesh: Mesh, serializedMesh: string, options?: OffWriteMeshOptions): Promise<OffWriteMeshResult>;
export default offWriteMesh;
