import { PointSet } from 'itk-wasm';
import OffWritePointSetNodeOptions from './off-write-point-set-node-options.js';
import OffWritePointSetNodeResult from './off-write-point-set-node-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {OffWritePointSetNodeOptions} options - options object
 *
 * @returns {Promise<OffWritePointSetNodeResult>} - result object
 */
declare function offWritePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: OffWritePointSetNodeOptions): Promise<OffWritePointSetNodeResult>;
export default offWritePointSetNode;
