import { PointSet } from 'itk-wasm';
import OffWritePointSetOptions from './off-write-point-set-options.js';
import OffWritePointSetResult from './off-write-point-set-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {OffWritePointSetOptions} options - options object
 *
 * @returns {Promise<OffWritePointSetResult>} - result object
 */
declare function offWritePointSet(pointSet: PointSet, serializedPointSet: string, options?: OffWritePointSetOptions): Promise<OffWritePointSetResult>;
export default offWritePointSet;
