import { Mesh } from 'itk-wasm';
import ReadMeshOptions from './read-mesh-options.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedMesh - Path to input mesh serialized in the file format
 * @param {ReadMeshOptions} options - options to cast resulting mesh type or to only read mesh metadata
 *
 * @returns {Promise<Mesh>} - Mesh result
 */
declare function readMeshNode(serializedMesh: string, options?: ReadMeshOptions): Promise<Mesh>;
export default readMeshNode;
