import { BinaryFile } from 'itk-wasm';
import ReadMeshOptions from './read-mesh-options.js';
import ReadMeshResult from './read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {webWorker} null | webWorker - Web worker to run the pipeline or null to run it in a new worker
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {ReadMeshOptions} options - options to cast the resulting mesh type or to only read mesh metadata
 *
 * @returns {Promise<ReadMeshResult>} - result object with the mesh and the web worker used
 */
declare function readMesh(serializedMesh: File | BinaryFile, options?: ReadMeshOptions): Promise<ReadMeshResult>;
export default readMesh;
