import { PointSet } from "itk-wasm";
import ReadPointSetOptions from "./read-point-set-options.js";
/**
 * Read a pointSet file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Path to input pointSet serialized in the file format
 * @param {ReadPointSetOptions} options - options to cast resulting pointSet type or to only read pointSet metadata
 *
 * @returns {Promise<PointSet>} - PointSet result
 */
declare function readPointSetNode(serializedPointSet: string, options?: ReadPointSetOptions): Promise<PointSet>;
export default readPointSetNode;
