import { BinaryFile } from "itk-wasm";
import ReadPointSetOptions from "./read-point-set-options.js";
import ReadPointSetResult from "./read-point-set-result.js";
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {webWorker} null | webWorker - Web worker to run the pipeline or null to run it in a new worker
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {ReadPointSetOptions} options - options to cast the resulting point set type or to only read point set metadata
 *
 * @returns {Promise<ReadPointSetResult>} - result object with the point set and the web worker used
 */
declare function readPointSet(serializedPointSet: File | BinaryFile, options?: ReadPointSetOptions): Promise<ReadPointSetResult>;
export default readPointSet;
