import { BinaryFile } from 'itk-wasm';
import StlReadMeshOptions from './stl-read-mesh-options.js';
import StlReadMeshResult from './stl-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {StlReadMeshOptions} options - options object
 *
 * @returns {Promise<StlReadMeshResult>} - result object
 */
declare function stlReadMesh(serializedMesh: File | BinaryFile, options?: StlReadMeshOptions): Promise<StlReadMeshResult>;
export default stlReadMesh;
