import { Mesh } from 'itk-wasm';
import StlWriteMeshNodeOptions from './stl-write-mesh-node-options.js';
import StlWriteMeshNodeResult from './stl-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {StlWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<StlWriteMeshNodeResult>} - result object
 */
declare function stlWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: StlWriteMeshNodeOptions): Promise<StlWriteMeshNodeResult>;
export default stlWriteMeshNode;
