import { Mesh } from 'itk-wasm';
import StlWriteMeshOptions from './stl-write-mesh-options.js';
import StlWriteMeshResult from './stl-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {StlWriteMeshOptions} options - options object
 *
 * @returns {Promise<StlWriteMeshResult>} - result object
 */
declare function stlWriteMesh(mesh: Mesh, serializedMesh: string, options?: StlWriteMeshOptions): Promise<StlWriteMeshResult>;
export default stlWriteMesh;
