import { BinaryFile } from 'itk-wasm';
import SwcReadMeshOptions from './swc-read-mesh-options.js';
import SwcReadMeshResult from './swc-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {SwcReadMeshOptions} options - options object
 *
 * @returns {Promise<SwcReadMeshResult>} - result object
 */
declare function swcReadMesh(serializedMesh: File | BinaryFile, options?: SwcReadMeshOptions): Promise<SwcReadMeshResult>;
export default swcReadMesh;
