import { Mesh } from 'itk-wasm';
import SwcWriteMeshNodeOptions from './swc-write-mesh-node-options.js';
import SwcWriteMeshNodeResult from './swc-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {SwcWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<SwcWriteMeshNodeResult>} - result object
 */
declare function swcWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: SwcWriteMeshNodeOptions): Promise<SwcWriteMeshNodeResult>;
export default swcWriteMeshNode;
