import { Mesh } from 'itk-wasm';
import SwcWriteMeshOptions from './swc-write-mesh-options.js';
import SwcWriteMeshResult from './swc-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {SwcWriteMeshOptions} options - options object
 *
 * @returns {Promise<SwcWriteMeshResult>} - result object
 */
declare function swcWriteMesh(mesh: Mesh, serializedMesh: string, options?: SwcWriteMeshOptions): Promise<SwcWriteMeshResult>;
export default swcWriteMesh;
