import VtkPolyDataReadMeshNodeOptions from './vtk-poly-data-read-mesh-node-options.js';
import VtkPolyDataReadMeshNodeResult from './vtk-poly-data-read-mesh-node-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedMesh - Input mesh serialized in the file format
 * @param {VtkPolyDataReadMeshNodeOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataReadMeshNodeResult>} - result object
 */
declare function vtkPolyDataReadMeshNode(serializedMesh: string, options?: VtkPolyDataReadMeshNodeOptions): Promise<VtkPolyDataReadMeshNodeResult>;
export default vtkPolyDataReadMeshNode;
