import { BinaryFile } from 'itk-wasm';
import VtkPolyDataReadMeshOptions from './vtk-poly-data-read-mesh-options.js';
import VtkPolyDataReadMeshResult from './vtk-poly-data-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {VtkPolyDataReadMeshOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataReadMeshResult>} - result object
 */
declare function vtkPolyDataReadMesh(serializedMesh: File | BinaryFile, options?: VtkPolyDataReadMeshOptions): Promise<VtkPolyDataReadMeshResult>;
export default vtkPolyDataReadMesh;
