import VtkPolyDataReadPointSetNodeOptions from './vtk-poly-data-read-point-set-node-options.js';
import VtkPolyDataReadPointSetNodeResult from './vtk-poly-data-read-point-set-node-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Input point set serialized in the file format
 * @param {VtkPolyDataReadPointSetNodeOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataReadPointSetNodeResult>} - result object
 */
declare function vtkPolyDataReadPointSetNode(serializedPointSet: string, options?: VtkPolyDataReadPointSetNodeOptions): Promise<VtkPolyDataReadPointSetNodeResult>;
export default vtkPolyDataReadPointSetNode;
