import { BinaryFile } from 'itk-wasm';
import VtkPolyDataReadPointSetOptions from './vtk-poly-data-read-point-set-options.js';
import VtkPolyDataReadPointSetResult from './vtk-poly-data-read-point-set-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {VtkPolyDataReadPointSetOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataReadPointSetResult>} - result object
 */
declare function vtkPolyDataReadPointSet(serializedPointSet: File | BinaryFile, options?: VtkPolyDataReadPointSetOptions): Promise<VtkPolyDataReadPointSetResult>;
export default vtkPolyDataReadPointSet;
