import { Mesh } from 'itk-wasm';
import VtkPolyDataWriteMeshNodeOptions from './vtk-poly-data-write-mesh-node-options.js';
import VtkPolyDataWriteMeshNodeResult from './vtk-poly-data-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {VtkPolyDataWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataWriteMeshNodeResult>} - result object
 */
declare function vtkPolyDataWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: VtkPolyDataWriteMeshNodeOptions): Promise<VtkPolyDataWriteMeshNodeResult>;
export default vtkPolyDataWriteMeshNode;
