import { Mesh } from 'itk-wasm';
import VtkPolyDataWriteMeshOptions from './vtk-poly-data-write-mesh-options.js';
import VtkPolyDataWriteMeshResult from './vtk-poly-data-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {VtkPolyDataWriteMeshOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataWriteMeshResult>} - result object
 */
declare function vtkPolyDataWriteMesh(mesh: Mesh, serializedMesh: string, options?: VtkPolyDataWriteMeshOptions): Promise<VtkPolyDataWriteMeshResult>;
export default vtkPolyDataWriteMesh;
