import { PointSet } from 'itk-wasm';
import VtkPolyDataWritePointSetNodeOptions from './vtk-poly-data-write-point-set-node-options.js';
import VtkPolyDataWritePointSetNodeResult from './vtk-poly-data-write-point-set-node-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {VtkPolyDataWritePointSetNodeOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataWritePointSetNodeResult>} - result object
 */
declare function vtkPolyDataWritePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: VtkPolyDataWritePointSetNodeOptions): Promise<VtkPolyDataWritePointSetNodeResult>;
export default vtkPolyDataWritePointSetNode;
