import { PointSet } from 'itk-wasm';
import VtkPolyDataWritePointSetOptions from './vtk-poly-data-write-point-set-options.js';
import VtkPolyDataWritePointSetResult from './vtk-poly-data-write-point-set-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {VtkPolyDataWritePointSetOptions} options - options object
 *
 * @returns {Promise<VtkPolyDataWritePointSetResult>} - result object
 */
declare function vtkPolyDataWritePointSet(pointSet: PointSet, serializedPointSet: string, options?: VtkPolyDataWritePointSetOptions): Promise<VtkPolyDataWritePointSetResult>;
export default vtkPolyDataWritePointSet;
