import WasmReadMeshNodeOptions from './wasm-read-mesh-node-options.js';
import WasmReadMeshNodeResult from './wasm-read-mesh-node-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedMesh - Input mesh serialized in the file format
 * @param {WasmReadMeshNodeOptions} options - options object
 *
 * @returns {Promise<WasmReadMeshNodeResult>} - result object
 */
declare function wasmReadMeshNode(serializedMesh: string, options?: WasmReadMeshNodeOptions): Promise<WasmReadMeshNodeResult>;
export default wasmReadMeshNode;
