import { BinaryFile } from 'itk-wasm';
import WasmReadMeshOptions from './wasm-read-mesh-options.js';
import WasmReadMeshResult from './wasm-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {WasmReadMeshOptions} options - options object
 *
 * @returns {Promise<WasmReadMeshResult>} - result object
 */
declare function wasmReadMesh(serializedMesh: File | BinaryFile, options?: WasmReadMeshOptions): Promise<WasmReadMeshResult>;
export default wasmReadMesh;
