import WasmReadPointSetNodeOptions from './wasm-read-point-set-node-options.js';
import WasmReadPointSetNodeResult from './wasm-read-point-set-node-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Input point set serialized in the file format
 * @param {WasmReadPointSetNodeOptions} options - options object
 *
 * @returns {Promise<WasmReadPointSetNodeResult>} - result object
 */
declare function wasmReadPointSetNode(serializedPointSet: string, options?: WasmReadPointSetNodeOptions): Promise<WasmReadPointSetNodeResult>;
export default wasmReadPointSetNode;
