import { BinaryFile } from 'itk-wasm';
import WasmReadPointSetOptions from './wasm-read-point-set-options.js';
import WasmReadPointSetResult from './wasm-read-point-set-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {WasmReadPointSetOptions} options - options object
 *
 * @returns {Promise<WasmReadPointSetResult>} - result object
 */
declare function wasmReadPointSet(serializedPointSet: File | BinaryFile, options?: WasmReadPointSetOptions): Promise<WasmReadPointSetResult>;
export default wasmReadPointSet;
