import { Mesh } from 'itk-wasm';
import WasmWriteMeshNodeOptions from './wasm-write-mesh-node-options.js';
import WasmWriteMeshNodeResult from './wasm-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {WasmWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<WasmWriteMeshNodeResult>} - result object
 */
declare function wasmWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: WasmWriteMeshNodeOptions): Promise<WasmWriteMeshNodeResult>;
export default wasmWriteMeshNode;
