import { Mesh } from 'itk-wasm';
import WasmWriteMeshOptions from './wasm-write-mesh-options.js';
import WasmWriteMeshResult from './wasm-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {WasmWriteMeshOptions} options - options object
 *
 * @returns {Promise<WasmWriteMeshResult>} - result object
 */
declare function wasmWriteMesh(mesh: Mesh, serializedMesh: string, options?: WasmWriteMeshOptions): Promise<WasmWriteMeshResult>;
export default wasmWriteMesh;
