import { PointSet } from 'itk-wasm';
import WasmWritePointSetNodeOptions from './wasm-write-point-set-node-options.js';
import WasmWritePointSetNodeResult from './wasm-write-point-set-node-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {WasmWritePointSetNodeOptions} options - options object
 *
 * @returns {Promise<WasmWritePointSetNodeResult>} - result object
 */
declare function wasmWritePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: WasmWritePointSetNodeOptions): Promise<WasmWritePointSetNodeResult>;
export default wasmWritePointSetNode;
