import { PointSet } from 'itk-wasm';
import WasmWritePointSetOptions from './wasm-write-point-set-options.js';
import WasmWritePointSetResult from './wasm-write-point-set-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {WasmWritePointSetOptions} options - options object
 *
 * @returns {Promise<WasmWritePointSetResult>} - result object
 */
declare function wasmWritePointSet(pointSet: PointSet, serializedPointSet: string, options?: WasmWritePointSetOptions): Promise<WasmWritePointSetResult>;
export default wasmWritePointSet;
