import { BinaryFile } from 'itk-wasm';
import WasmZstdReadMeshOptions from './wasm-zstd-read-mesh-options.js';
import WasmZstdReadMeshResult from './wasm-zstd-read-mesh-result.js';
/**
 * Read a mesh file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedMesh - Input mesh serialized in the file format
 * @param {WasmZstdReadMeshOptions} options - options object
 *
 * @returns {Promise<WasmZstdReadMeshResult>} - result object
 */
declare function wasmZstdReadMesh(serializedMesh: File | BinaryFile, options?: WasmZstdReadMeshOptions): Promise<WasmZstdReadMeshResult>;
export default wasmZstdReadMesh;
