import WasmZstdReadPointSetNodeOptions from './wasm-zstd-read-point-set-node-options.js';
import WasmZstdReadPointSetNodeResult from './wasm-zstd-read-point-set-node-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedPointSet - Input point set serialized in the file format
 * @param {WasmZstdReadPointSetNodeOptions} options - options object
 *
 * @returns {Promise<WasmZstdReadPointSetNodeResult>} - result object
 */
declare function wasmZstdReadPointSetNode(serializedPointSet: string, options?: WasmZstdReadPointSetNodeOptions): Promise<WasmZstdReadPointSetNodeResult>;
export default wasmZstdReadPointSetNode;
