import { BinaryFile } from 'itk-wasm';
import WasmZstdReadPointSetOptions from './wasm-zstd-read-point-set-options.js';
import WasmZstdReadPointSetResult from './wasm-zstd-read-point-set-result.js';
/**
 * Read a point set file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedPointSet - Input point set serialized in the file format
 * @param {WasmZstdReadPointSetOptions} options - options object
 *
 * @returns {Promise<WasmZstdReadPointSetResult>} - result object
 */
declare function wasmZstdReadPointSet(serializedPointSet: File | BinaryFile, options?: WasmZstdReadPointSetOptions): Promise<WasmZstdReadPointSetResult>;
export default wasmZstdReadPointSet;
