import { Mesh } from 'itk-wasm';
import WasmZstdWriteMeshNodeOptions from './wasm-zstd-write-mesh-node-options.js';
import WasmZstdWriteMeshNodeResult from './wasm-zstd-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {WasmZstdWriteMeshNodeOptions} options - options object
 *
 * @returns {Promise<WasmZstdWriteMeshNodeResult>} - result object
 */
declare function wasmZstdWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: WasmZstdWriteMeshNodeOptions): Promise<WasmZstdWriteMeshNodeResult>;
export default wasmZstdWriteMeshNode;
