import { Mesh } from 'itk-wasm';
import WasmZstdWriteMeshOptions from './wasm-zstd-write-mesh-options.js';
import WasmZstdWriteMeshResult from './wasm-zstd-write-mesh-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {WasmZstdWriteMeshOptions} options - options object
 *
 * @returns {Promise<WasmZstdWriteMeshResult>} - result object
 */
declare function wasmZstdWriteMesh(mesh: Mesh, serializedMesh: string, options?: WasmZstdWriteMeshOptions): Promise<WasmZstdWriteMeshResult>;
export default wasmZstdWriteMesh;
