import { PointSet } from 'itk-wasm';
import WasmZstdWritePointSetNodeOptions from './wasm-zstd-write-point-set-node-options.js';
import WasmZstdWritePointSetNodeResult from './wasm-zstd-write-point-set-node-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {WasmZstdWritePointSetNodeOptions} options - options object
 *
 * @returns {Promise<WasmZstdWritePointSetNodeResult>} - result object
 */
declare function wasmZstdWritePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: WasmZstdWritePointSetNodeOptions): Promise<WasmZstdWritePointSetNodeResult>;
export default wasmZstdWritePointSetNode;
