import { PointSet } from 'itk-wasm';
import WasmZstdWritePointSetOptions from './wasm-zstd-write-point-set-options.js';
import WasmZstdWritePointSetResult from './wasm-zstd-write-point-set-result.js';
/**
 * Write an ITK-Wasm file format converted to a point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set
 * @param {WasmZstdWritePointSetOptions} options - options object
 *
 * @returns {Promise<WasmZstdWritePointSetResult>} - result object
 */
declare function wasmZstdWritePointSet(pointSet: PointSet, serializedPointSet: string, options?: WasmZstdWritePointSetOptions): Promise<WasmZstdWritePointSetResult>;
export default wasmZstdWritePointSet;
