import { Mesh } from 'itk-wasm';
import WasmZtdWriteMeshOptions from './wasm-ztd-write-mesh-options.js';
import WasmZtdWriteMeshNodeResult from './wasm-ztd-write-mesh-node-result.js';
/**
 * Write an itk-wasm file format converted to an mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh
 * @param {WasmZtdWriteMeshOptions} options - options object
 *
 * @returns {Promise<WasmZtdWriteMeshNodeResult>} - result object
 */
declare function wasmZtdWriteMeshNode(mesh: Mesh, serializedMesh: string, options?: WasmZtdWriteMeshOptions): Promise<WasmZtdWriteMeshNodeResult>;
export default wasmZtdWriteMeshNode;
