import { Mesh } from "itk-wasm";
import WriteMeshOptions from "./write-mesh-options.js";
/**
 * Write a mesh to a serialized file format and from an the itk-wasm Mesh
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh serialized in the file format.
 * @param {WriteMeshOptions} options - options object
 *
 * @returns {void} - result object
 */
declare function writeMeshNode(mesh: Mesh, serializedMesh: string, options?: WriteMeshOptions): Promise<void>;
export default writeMeshNode;
