import { Mesh } from 'itk-wasm';
import WriteMeshOptions from './write-mesh-options.js';
import WriteMeshResult from './write-mesh-result.js';
/**
 * Write an itk-wasm Mesh converted to an serialized mesh file format
 *
 * @param {Mesh} mesh - Input mesh
 * @param {string} serializedMesh - Output mesh serialized in the file format.
 * @param {WriteMeshOptions} options - options object
 *
 * @returns {Promise<WriteMeshResult>} - result object
 */
declare function writeMesh(mesh: Mesh, serializedMesh: string, options?: WriteMeshOptions): Promise<WriteMeshResult>;
export default writeMesh;
