import { PointSet } from "itk-wasm";
import WritePointSetOptions from "./write-point-set-options.js";
/**
 * Write a point set to a serialized file format and from an the itk-wasm PointSet
 *
 * @param {PointSet} point set - Input point set
 * @param {string} serializedPointSet - Output point set serialized in the file format.
 * @param {WritePointSetOptions} options - options object
 *
 * @returns {void} - result object
 */
declare function writePointSetNode(pointSet: PointSet, serializedPointSet: string, options?: WritePointSetOptions): Promise<void>;
export default writePointSetNode;
