import { PointSet } from "itk-wasm";
import WritePointSetOptions from "./write-point-set-options.js";
import WritePointSetResult from "./write-point-set-result.js";
/**
 * Write an itk-wasm PointSet converted to an serialized point set file format
 *
 * @param {PointSet} pointSet - Input point set
 * @param {string} serializedPointSet - Output point set serialized in the file format.
 * @param {WritePointSetOptions} options - options object
 *
 * @returns {Promise<WritePointSetResult>} - result object
 */
declare function writePointSet(pointSet: PointSet, serializedPointSet: string, options?: WritePointSetOptions): Promise<WritePointSetResult>;
export default writePointSet;
